Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjmlWizard
Class Wizard

    java.lang.Object
      |
      +--com.jxml.quick.util.qjmlWizard.Wizard

All Implemented Interfaces:
  Runnable

public class Wizard
extends Object
implements Runnable

Inner Class Summary
`class` | `Wizard.ESL`
`class` | `Wizard.LSL`
`class` | `Wizard.OnAdd`
`class` | `Wizard.OnAfter`
`class` | `Wizard.OnBefore`
`class` | `Wizard.OnCopy`
`class` | `Wizard.OnCut`
`class` | `Wizard.OnDelete`
`class` | `Wizard.OnExit`
`class` | `Wizard.OnNew`
`class` | `Wizard.OnNewAttribute`
`class` | `Wizard.OnNewChild`
`class` | `Wizard.OnNewComment`
`class` | `Wizard.OnNewElement`
`class` | `Wizard.OnNewExtends`
`class` | `Wizard.OnNewImplements`
`class` | `Wizard.OnNewSelection`
`class` | `Wizard.OnNewSequence`
`class` | `Wizard.OnNewTargetClass`
`class` | `Wizard.OnNewTargetEditor`
`class` | `Wizard.OnNewTargetFactory`
`class` | `Wizard.OnNewValue`
`class` | `Wizard.OnOpen`
`class` | `Wizard.OnReplace`
`class` | `Wizard.OnSave`
`class` | `Wizard.OnSaveAs`
`class` | `Wizard.OnUpdate`
`class` | `Wizard.TSL`
`class` | `Wizard.WActionListener`
`class` | `Wizard.WError`
`class` | `Wizard.WWindowEventHandler`

Field Summary
`String` | `accessClass`
`String` | `accessField`
`String` | `accessListField`
`String` | `accessListProperty`
`String` | `accessProperty`
`WMenuItem` | `addMI`
`WMenuItem` | `afterMI`
`String` | `attributeStatus`
`String` | `attributeType`
`String` | `attributeValue`
`JList` | `atts`
`JScrollPane` | `attsPane`
`DefaultListSelectionModel` | `attsSM`
`WMenuItem` | `beforeMI`
`JLabel` | `bufferLabel`
`String` | `canNotReadFile`
`String` | `canNotWriteFile`
`String` | `childOptional`
`String` | `childRepeating`
`String` | `contentLabel`
`WMenuItem` | `copyMI`
`WMenuItem` | `cutMI`
`WMenuItem` | `deleteMI`
`DefaultTreeModel` | `dtm`
`DefaultTreeSelectionModel` | `dtsm`
`String` | `elementAbstract`
`WAtt` | `elementBuffer`
`String` | `elementContent`
`String` | `elementExtends`
`String` | `elementInterface`
`String` | `elementLabel`
`String` | `elementWild`
`DefaultListModel` | `errorListModel`
`JList` | `errors`
`DefaultMutableTreeNode` | `errorSelection`
`JScrollPane` | `errorsPane`
`DefaultListSelectionModel` | `errorsSM`
`WMenuItem` | `exitMI`
`File` | `file`
`String` | `fileDoesNotExist`
`String` | `fileError`
`String` | `fileExists`
`JLabel` | `foot`
`boolean` | `haveFile`
`JFrame` | `jframe`
`String` | `looseChangesMsg`
`String` | `looseChangesTitle`
`ArrayList` | `menuListeners`
`WMenuItem` | `newAttributeMI`
`String` | `newAttributeMsg`
`WMenuItem` | `newChildMI`
`String` | `newChildMsg`
`WMenuItem` | `newCommentMI`
`String` | `newCommentMsg`
`WMenuItem` | `newElementMI`
`String` | `newElementMsg`
`WMenuItem` | `newExtendsMI`
`String` | `newExtendsMsg`
`WMenuItem` | `newImplementsMI`
`String` | `newImplementsMsg`
`WMenuItem` | `newMI`
`WMenuItem` | `newSelectionMI`
`WMenuItem` | `newSequenceMI`
`WMenuItem` | `newTargetClassMI`
`String` | `newTargetClassMsg`
`WMenuItem` | `newTargetEditorMI`
`String` | `newTargetEditorMsg`
`WMenuItem` | `newTargetFactoryMI`
`String` | `newTargetFactoryMsg`
`WMenuItem` | `newValueMI`
`String` | `newValueMsg`
`String` | `noFile`
`WMenuItem` | `openMI`
`String` | `overwriteFile`
`TreePath` | `path`
`WQJML` | `qjml`
`String` | `qjmlRoot`
`WMenuItem` | `replaceMI`
`WMenuItem` | `saveAsMI`
`WMenuItem` | `saveMI`
`DefaultMutableTreeNode` | `selectedNode`
`String` | `selectionOptional`
`String` | `selectionRepeating`
`String` | `sequenceOptional`
`String` | `sequenceRepeating`
`String` | `targetEditorEditor`
`String` | `targetEditorTarget`
`JTree` | `tree`
`JScrollPane` | `treePane`
`boolean` | `updated`
`WMenuItem` | `updateMI`
`boolean` | `warnings`

Constructor Summary
`Wizard()`

Method Summary
`WAtt` | `copy(WAtt a)`
`void` | `doNew()`
`void` | `exit()`
`boolean` | `looseChanges()`
`void` | `run()`
`void` | `setErrors()`
`void` | `update()`
`void` | `write()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jframe

    public JFrame jframe

### menuListeners

    public ArrayList menuListeners

### exitMI

    public WMenuItem exitMI

### newMI

    public WMenuItem newMI

### openMI

    public WMenuItem openMI

### saveMI

    public WMenuItem saveMI

### saveAsMI

    public WMenuItem saveAsMI

### deleteMI

    public WMenuItem deleteMI

### cutMI

    public WMenuItem cutMI

### copyMI

    public WMenuItem copyMI

### beforeMI

    public WMenuItem beforeMI

### afterMI

    public WMenuItem afterMI

### replaceMI

    public WMenuItem replaceMI

### updateMI

    public WMenuItem updateMI

### addMI

    public WMenuItem addMI

### newTargetEditorMI

    public WMenuItem newTargetEditorMI

### newTargetClassMI

    public WMenuItem newTargetClassMI

### newTargetFactoryMI

    public WMenuItem newTargetFactoryMI

### newElementMI

    public WMenuItem newElementMI

### newCommentMI

    public WMenuItem newCommentMI

### newExtendsMI

    public WMenuItem newExtendsMI

### newImplementsMI

    public WMenuItem newImplementsMI

### newAttributeMI

    public WMenuItem newAttributeMI

### newValueMI

    public WMenuItem newValueMI

### newChildMI

    public WMenuItem newChildMI

### newSelectionMI

    public WMenuItem newSelectionMI

### newSequenceMI

    public WMenuItem newSequenceMI

### qjml

    public WQJML qjml

### updated

    public boolean updated

### warnings

    public boolean warnings

### looseChangesTitle

    public String looseChangesTitle

### looseChangesMsg

    public String looseChangesMsg

### noFile

    public String noFile

### file

    public File file

### fileError

    public String fileError

### fileDoesNotExist

    public String fileDoesNotExist

### canNotReadFile

    public String canNotReadFile

### canNotWriteFile

    public String canNotWriteFile

### overwriteFile

    public String overwriteFile

### fileExists

    public String fileExists

### foot

    public JLabel foot

### treePane

    public JScrollPane treePane

### tree

    public JTree tree

### dtsm

    public DefaultTreeSelectionModel dtsm

### attsPane

    public JScrollPane attsPane

### atts

    public JList atts

### attsSM

    public DefaultListSelectionModel attsSM

### selectedNode

    public DefaultMutableTreeNode selectedNode

### haveFile

    public boolean haveFile

### path

    public TreePath path

### dtm

    public DefaultTreeModel dtm

### elementBuffer

    public WAtt elementBuffer

### bufferLabel

    public JLabel bufferLabel

### qjmlRoot

    public String qjmlRoot

### newTargetEditorMsg

    public String newTargetEditorMsg

### targetEditorEditor

    public String targetEditorEditor

### targetEditorTarget

    public String targetEditorTarget

### newTargetClassMsg

    public String newTargetClassMsg

### newTargetFactoryMsg

    public String newTargetFactoryMsg

### newElementMsg

    public String newElementMsg

### elementLabel

    public String elementLabel

### elementWild

    public String elementWild

### elementContent

    public String elementContent

### elementAbstract

    public String elementAbstract

### elementInterface

    public String elementInterface

### elementExtends

    public String elementExtends

### newCommentMsg

    public String newCommentMsg

### newExtendsMsg

    public String newExtendsMsg

### newImplementsMsg

    public String newImplementsMsg

### newAttributeMsg

    public String newAttributeMsg

### attributeType

    public String attributeType

### attributeStatus

    public String attributeStatus

### attributeValue

    public String attributeValue

### newValueMsg

    public String newValueMsg

### newChildMsg

    public String newChildMsg

### childOptional

    public String childOptional

### childRepeating

    public String childRepeating

### selectionOptional

    public String selectionOptional

### selectionRepeating

    public String selectionRepeating

### contentLabel

    public String contentLabel

### sequenceOptional

    public String sequenceOptional

### sequenceRepeating

    public String sequenceRepeating

### accessClass

    public String accessClass

### accessField

    public String accessField

### accessListField

    public String accessListField

### accessProperty

    public String accessProperty

### accessListProperty

    public String accessListProperty

### errorsPane

    public JScrollPane errorsPane

### errors

    public JList errors

### errorsSM

    public DefaultListSelectionModel errorsSM

### errorListModel

    public DefaultListModel errorListModel

### errorSelection

    public DefaultMutableTreeNode errorSelection

Constructor Detail

### Wizard

    public Wizard()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### setErrors

    public void setErrors()

### looseChanges

    public boolean looseChanges()

### exit

    public void exit()

### update

    public void update()

### doNew

    public void doNew()

### write

    public void write()

### copy

    public WAtt copy(WAtt a)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD